wibble::Empty< T >::iterator Class Reference

`#include <empty.h>`

Inheritance diagram for wibble::Empty< T >::iterator:
[legend]
Collaboration diagram for wibble::Empty< T >::iterator:
[legend]

## Public Member Functions

T & | operator* () const
T * | operator-> () const
iterator & | operator++ ()
bool | operator== (const iterator &) const
bool | operator!= (const iterator &) const

## Member Function Documentation

## operator!=()

template<typename T>

bool wibble::Empty< T >::iterator::operator!= | ( | const iterator & |  | ) | const

inline

## operator*()

template<typename T>

T& wibble::Empty< T >::iterator::operator* | ( |  | ) | const

inline

## operator++()

template<typename T>

iterator& wibble::Empty< T >::iterator::operator++ | ( |  | ) |

inline

## operator->()

template<typename T>

T* wibble::Empty< T >::iterator::operator-> | ( |  | ) | const

inline

## operator==()

template<typename T>

bool wibble::Empty< T >::iterator::operator== | ( | const iterator & |  | ) | const

inline

The documentation for this class was generated from the following file:

- empty.h